##%######################################################%##
#                                                          #
####               Covariance Comparison                ####
#                                                          #
##%######################################################%##
setwd("./source_code/Covariance_Comparison/")
library(ggplot2)
library(dplyr)
library(ggvis)
before <- read.csv("../data/CarbonCovTable_BC_old.csv")
after <- read.csv("../data/CarbonCovTable_BC.csv")
before <- data.frame(before, ID = "Old")
after <- data.frame(after, ID = "New" )
all <- tbl_df( rbind(before, after))

p2.1 <- ggplot(all, aes(x=AA.SS, y = Value, fill = ID)) + geom_bar(stat = "identity", position = "dodge") +
        xlab("Amino Acids and Secondary Structures") + ylab("Covariance Value") +
        theme(axis.text.x = element_text(angle = 90, size=5),
              legend.position = "bottom",
              panel.background = element_rect(fill='white', colour = "black"),
              panel.grid.minor = element_line(colour="black", size=0.5)) +
        geom_hline(aes(yintercept=0))
ggsave(filename = "../../output/Covariance_Comparison/Cov_comparison.png", p2.1)
