##%######################################################%##
#                                                          #
####                     Figure 7                       ####
#                                                          #
##%######################################################%##
library(ggplot2)
library(tidyr)
library(ggpubr)

load("./www/All_Ref_Cor_Results/Results_A.RData")
load("./www/All_Ref_Cor_Results/Results_B.RData")
load("./www/All_Ref_Cor_Results/Results_C.RData")
load("./www/All_Ref_Cor_Results/Results_D.RData")
load("./www/All_Ref_Cor_Results/Results_E.RData")
load("./www/All_Ref_Cor_Results/Results_E_revised.RData")
load("./www/All_Ref_Cor_Results/Results_E_revised_OL.RData")
load("./www/All_Ref_Cor_Results/Results_E_revised_OL_90perc.RData")

result.final <- data.frame(MethodA = results.a, MethodB = results.b, MethodC = results.c, MethodD = results.d, methodE = results.e, MethodE_revised = results.e.new, ME_R_OM = results.f, ME_R_OM90 = results.g)
result.tidy <- result.final %>% gather(key, value) 
names(result.tidy) <- c("Methods", "Reference_Correction_Value")

P <- ggviolin(result.tidy, x = "Methods", y = "Reference_Correction_Value", fill = "gray", add = "boxplot", draw_quantiles = c(0.05, 0.95),  add.params = list(fill = "white"), outlier = NA) +
        coord_cartesian(ylim = c(-5,5)) +
        scale_y_continuous(breaks=seq(-5, 5, 0.5))+
        geom_hline(yintercept = 0, col="red", linetype = "dashed") +
        geom_hline(yintercept = -1, col="blue", linetype = "dashed") +
        geom_hline(yintercept = 1, col="blue", linetype = "dashed")

P



ggsave("./www/All_Ref_Cor_Results/Figure_7.png")
