##%######################################################%##
#                                                          #
####                     Figure 9                       ####
#                                                          #
##%######################################################%##

library(ggplot2)
library(tidyr)
library(ggpubr)

science_theme = theme(panel.grid.major = element_line(size = 0.5, color = "white"), axis.line = element_line(size = 0.7, color = "black"), legend.position = c(0.85, 0.7), text = element_text(size = 14, family = "Helvetica"), panel.background = element_rect(fill = "white", colour = "white"))

load("./www/Assigned_BaMORC/Assigned_BaMORC.RData")
load("./www/Assigned_BaMORC/LACS.RData")

df <- rbind(Assigned_BaMORC, LACS_Carbon)

p <- ggplot(df, aes(x=Type, y=RefCorrValue)) +
        geom_violin(draw_quantiles = c(0.05, 0.95), fill = "grey") +
        geom_boxplot(width=0.1) +
        geom_hline(yintercept=0, color="black") +
        geom_hline(yintercept=1, color="red") +
        geom_hline(yintercept=-1, color="red") +
        xlab("Method") +
        ylab("Corrected Reference Values") +
        science_theme

p

ggsave("./www/Assigned_BaMORC/Figure_9.png")
