##%######################################################%##
#                                                          #
####                Supplemental Figure 8               ####
#                                                          #
##%######################################################%##

load("./www/GlobalOpt_vs_GridSearch/DEoptim_10.RData")
load("./www/GlobalOpt_vs_GridSearch/DEoptim_20.RData")
load("./www/GlobalOpt_vs_GridSearch/DEoptim_50.RData")
load("./www/GlobalOpt_vs_GridSearch/Results_E_revised_OL.RData")

science_theme = theme(panel.grid.major = element_line(size = 0.5, color = "white"), axis.line = element_line(size = 0.7, color = "black"), legend.position = c(0.85, 0.7), text = element_text(size = 14, family = "Helvetica"), panel.background = element_rect(fill = "white", colour = "white"))


DEoptim_10_all <- data.frame(RefCorrValue=DEoptim_10, Type="DEoptim_10")
DEoptim_20_all <- data.frame(RefCorrValue=DEoptim_20, Type="DEoptim_20")
DEoptim_50_all <- data.frame(RefCorrValue=DEoptim_50, Type="DEoptim_50")

Original_data <- data.frame(RefCorrValue=results.f, Type="Grid_Search")

df <- rbind(DEoptim_10_all, DEoptim_20_all, DEoptim_50_all)
names(df) <- c("RefCorrValue", "Type")
df <- rbind(df, Original_data)

library(ggplot2)
p <- ggplot(df, aes(x=Type, y=RefCorrValue)) +
        geom_violin(draw_quantiles = c(0.05, 0.95), fill = "grey") +
        geom_boxplot(width=0.1) +
        geom_hline(yintercept=0, color="black") +
        geom_hline(yintercept=1, color="red") +
        geom_hline(yintercept=-1, color="red") +
        xlab("Method") +
        ylab("Corrected Reference Values") +
        science_theme

p

ggsave(filename = "./www/GlobalOpt_vs_GridSearch/S_Figure_8.png", plot = p)


